Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Juri Linkov <[email-masked]>
Date: Wed, 29 Apr 2009 12:54:08 +0300

>> This might be good for post-23.1, but the reported annoyance is still here,
>> so we need just to restore the old 22.1 behavior of `dired-pop-to-buffer'.
>>
>> Martin, do you think this is possible without reverting `dired-pop-to-buffer'
>> to pre-December 2008 state, and making necessary changes in window.el
>> thus providing the same behavior that was in `dired-pop-to-buffer'?
>
> `dired-pop-to-buffer' could bind `split-window-preferred-function' to a
> function that tries to always split the selected window instead of
> whatever window was chosen by `display-buffer' but that would override
> any user customizations of `split-window-preferred-function'.

We could compare `split-window-preferred-function' with its default value
and override it in dired only when it has the default value.

Otherwise we could define a new option `dired-split-window-preferred-function'.

> We could also provide a variable `split-window-preferred-window', nil by
> default, which the window choosing mechanism of `display-buffer' would
> respect if bound to some live window.  And we could turn this variable
> into an option (now or later).

Do you mean `split-window-preferred-window' as a user-defined value
that replaces the `window' argument of `split-window-preferred-function'?

-- 
Juri Linkov
http://www.jurta.org/emacs/